﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 Cal Steps RS-232 /O_CAL
DATE:                  2014-03-05 15:00:41
AUTHOR:                Fluke
REVISION:              $Revision: 7421 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       389
CONFIGURATION:         Fluke Ocal (WG)
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Subprocedures:
#        Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#       BNC T adapter (f-f-f), 1 set
#       BNC T adapter (f-m-f), 2 sets
#       50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets
#       50 Ohm feed through terminator, 1 set
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DISP         ******************************************************
  1.001  DISP         [32]                 WARNING
  1.001  DISP         The connection of every calibration step is critical.
  1.001  DISP         An incorrect connection or signal may result
  1.001  DISP         in a failed calibration. Once the calibration has failed
  1.001  DISP         the entire calibration procedure must be run again.
  1.001  DISP         ******************************************************

  1.002  HEAD         CALIBRATION START
# This TARGET is here so "Repeat" will perform a new calibration.
  1.003  TARGET
  1.004  PORT         CAL:FACTORY

  1.005  IF           FINDI(@CalDev, "58", 0)
  1.006  MATH         CalPort = "CHAN 1"
  1.007  ELSE
  1.008  MATH         CalPort = "SCOPE OUT"
  1.009  ENDIF

  1.010  IF           @NumChan == 2
  1.011  DISP         Connect the [V @CalDev] [V CalPort] to BNC T(f-f-f).
  1.011  DISP
  1.011  DISP         Connect the other sides of BNC T(f-f-f) in turn to
  1.011  DISP         UUT CH 1 and CH 2.
  1.012  DISP         The next operator intervention occurs in
  1.012  DISP         approximately 7 minutes, 40 seconds ...

  1.013  ELSE
  1.014  DISP         Connect the [V @CalDev] [V CalPort] to BNC T(f-f-f).
  1.014  DISP
  1.014  DISP         Connect one side of BNC T(f-f-f) to one BNC T(f-m-f).
  1.014  DISP
  1.014  DISP         Connect the other side of BNC T(f-f-f) to another
  1.014  DISP         BNC T(f-m-f).
  1.014  DISP
  1.014  DISP         Connect the other sides of two BNC T(f-m-f) in turn to
  1.014  DISP         UUT CH 1, CH 2, CH 3 and CH 4 via 4 BNC(m)-(m) cable.
  1.015  DISP         The next operator intervention occurs in
  1.015  DISP         approximately 6 minutes, 40 seconds ...
  1.016  ENDIF

# Specify the step number
  1.017  MATH         StepNo = 1

  1.018  DO

  1.019  IF           StepNo < 31
  1.020  MATH         HeadStr = "CH 1" & " to " & "CH " & @NumChan
  1.021  MATH         HeadStr = HeadStr & " CAL STEP " & StepNo
  1.022  ELSE
  1.023  MATH         HeadStr = "EXT TRIG" & " CAL STEP " & StepNo
  1.024  ENDIF

  1.025  HEAD         [V HeadStr]

  1.026  IF           StepNo == 1
  1.027  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.027  O_CAL        +Voltage = 0.0 V; OutputImpedance = 1 MOhm

  1.028  ELSEIF       StepNo == 2
  1.029  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.029  O_CAL        +Voltage = -20.0 V; OutputImpedance = 1 MOhm

  1.030  ELSEIF       StepNo == 3
  1.031  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.031  O_CAL        +Voltage = -2.0 V; OutputImpedance = 1 MOhm

  1.032  ELSEIF       StepNo == 4
  1.033  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.033  O_CAL        +Voltage = -1.6 V; OutputImpedance = 1 MOhm

  1.034  ELSEIF       StepNo == 5
  1.035  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.035  O_CAL        +Voltage = -1.2 V; OutputImpedance = 1 MOhm

  1.036  ELSEIF       StepNo == 6
  1.037  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.037  O_CAL        +Voltage = -0.8 V; OutputImpedance = 1 MOhm

  1.038  ELSEIF       StepNo == 7
  1.039  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.039  O_CAL        +Voltage = -0.4 V; OutputImpedance = 1 MOhm

  1.040  ELSEIF       StepNo == 8
  1.041  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.041  O_CAL        +Voltage = -0.32 V; OutputImpedance = 1 MOhm

  1.042  ELSEIF       StepNo == 9
  1.043  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.043  O_CAL        +Voltage = -0.2 V; OutputImpedance = 1 MOhm

  1.044  ELSEIF       StepNo == 10
  1.045  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.045  O_CAL        +Voltage = -0.16 V; OutputImpedance = 1 MOhm

  1.046  ELSEIF       StepNo == 11
  1.047  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.047  O_CAL        +Voltage = -0.08 V; OutputImpedance = 1 MOhm

  1.048  ELSEIF       StepNo == 12
  1.049  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.049  O_CAL        +Voltage = -0.04 V; OutputImpedance = 1 MOhm

  1.050  ELSEIF       StepNo == 13
  1.051  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.051  O_CAL        +Voltage = -0.03 V; OutputImpedance = 1 MOhm

  1.052  ELSEIF       StepNo == 14
  1.053  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.053  O_CAL        +Voltage =-0.02 V; OutputImpedance = 1 MOhm

  1.054  ELSEIF       StepNo == 15
  1.055  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.055  O_CAL        +Voltage = -0.015 V; OutputImpedance = 1 MOhm

  1.056  ELSEIF       StepNo == 16
  1.057  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.057  O_CAL        +Voltage = 0.015 V; OutputImpedance = 1 MOhm

  1.058  ELSEIF       StepNo == 17
  1.059  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.059  O_CAL        +Voltage = 0.02 V; OutputImpedance = 1 MOhm

  1.060  ELSEIF       StepNo == 18
  1.061  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.061  O_CAL        +Voltage = 0.03 V; OutputImpedance = 1 MOhm

  1.062  ELSEIF       StepNo == 19
  1.063  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.063  O_CAL        +Voltage = 0.04 V; OutputImpedance = 1 MOhm

  1.064  ELSEIF       StepNo == 20
  1.065  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.065  O_CAL        +Voltage = 0.08 V; OutputImpedance = 1 MOhm

  1.066  ELSEIF       StepNo == 21
  1.067  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.067  O_CAL        +Voltage = 0.16 V; OutputImpedance = 1 MOhm

  1.068  ELSEIF       StepNo == 22
  1.069  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.069  O_CAL        +Voltage = 0.2 V; OutputImpedance = 1 MOhm

  1.070  ELSEIF       StepNo == 23
  1.071  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.071  O_CAL        +Voltage = 0.32 V; OutputImpedance = 1 MOhm

  1.072  ELSEIF       StepNo == 24
  1.073  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.073  O_CAL        +Voltage = 0.4 V; OutputImpedance = 1 MOhm

  1.074  ELSEIF       StepNo == 25
  1.075  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.075  O_CAL        +Voltage = 0.8 V; OutputImpedance = 1 MOhm

  1.076  ELSEIF       StepNo == 26
  1.077  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.077  O_CAL        +Voltage = 1.2 V; OutputImpedance = 1 MOhm

  1.078  ELSEIF       StepNo == 27
  1.079  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.079  O_CAL        +Voltage = 1.6 V; OutputImpedance = 1 MOhm

  1.080  ELSEIF       StepNo == 28
  1.081  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.081  O_CAL        +Voltage = 2.0 V; OutputImpedance = 1 MOhm

  1.082  ELSEIF       StepNo == 29
  1.083  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.083  O_CAL        +Voltage = 20.0 V; OutputImpedance = 1 MOhm

  1.084  ELSEIF       StepNo == 30
  1.085  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.085  O_CAL        +Voltage = 0.0 V; OutputImpedance = 1 MOhm

  1.086  ELSEIF       StepNo == 31
  1.087  O_CAL        Standby

  1.088  DISP         Connect the [V @CalDev] SCOPE OUT to UUT EXT TRIG.
  1.089  DISP         The next operator intervention occurs in
  1.089  DISP         approximately 30 seconds ...
  1.090  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.090  O_CAL        +Voltage = -25.0 V; OutputImpedance = 1 MOhm

  1.091  ELSEIF       StepNo == 32
  1.092  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.092  O_CAL        +Voltage = -12.5 V; OutputImpedance = 1 MOhm

  1.093  ELSEIF       StepNo == 33
  1.094  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.094  O_CAL        +Voltage = -2.5 V; OutputImpedance = 1 MOhm

  1.095  ELSEIF       StepNo == 34
  1.096  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.096  O_CAL        +Voltage = 2.5 V; OutputImpedance = 1 MOhm

  1.097  ELSEIF       StepNo == 35
  1.098  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.098  O_CAL        +Voltage = 12.5 V; OutputImpedance = 1 MOhm

  1.099  ELSEIF       StepNo == 36
  1.100  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  1.100  O_CAL        +Voltage = 25 V; OutputImpedance = 1 MOhm
  1.101  ENDIF

  1.102  WAIT         -t 3 System settling...
  1.103  PORT         CAL:CONTINUE
  1.104  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.105  IF           @Error
  1.106  PORT         CAL:ABO
  1.107  END
  1.108  ENDIF

  1.109  MATH         StepNo = StepNo + 1
  1.110  UNTIL        StepNo > 36 || @Error

  1.111  MATH         Chan = 1

# Loop for every channel
  1.112  DO
  1.113  MATH         ChanEnd = 0
  1.114  MATH         SubNo = 1

# Loop for every sub step in this channel.
  1.115  DO
  1.116  MATH         HeadStr = "CH " & Chan & " CAL STEP " & StepNo
  1.117  HEAD         [V HeadStr]

  1.118  IF           SubNo == 1
  1.119  O_CAL        Standby
  1.120  DISP         Connect the [V @CalDev] SCOPE OUT via a 50 Ohm feed
  1.120  DISP         through terminator to the UUT CH [V Chan].

  1.121  IF           Chan == 1 || Chan == 3
  1.122  DISP         The next operator intervention occurs in
  1.122  DISP         approximately 3 minutes ...
  1.123  ELSE
  1.124  DISP         The next operator intervention occurs in
  1.124  DISP         approximately 2 minutes, 40 seconds ...
  1.125  ENDIF

  1.126  O_CAL        Mode = WaveGen; Channel = [V @CalChan]; Waveform = Sine
  1.126  O_CAL        +Freq = 5 kHz; Volt = 1 Vpp; OutputImpedance = 50 Ohm

  1.127  ELSEIF       SubNo == 2
  1.128  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.128  O_CAL        +Freq = 1 MHz; Volt = 100 mVpp

  1.129  ELSEIF       SubNo == 3
  1.130  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.130  O_CAL        +Freq = 1 MHz; Volt = 1 Vpp

  1.131  ELSEIF       SubNo == 4
  1.132  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.132  O_CAL        +Freq = 50 kHz; Volt = 1.2 Vpp

  1.133  ELSEIF       SubNo == 5
  1.134  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.134  O_CAL        +Freq = 20 MHz; Volt = 1.2 Vpp

  1.135  ELSEIF       SubNo == 6
  1.136  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.136  O_CAL        +Freq = [V @Bandwidth]; Volt = 30 mVpp

  1.137  ELSEIF       SubNo == 7
  1.138  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.138  O_CAL        +Freq = [V @Bandwidth]; Volt = 60 mVpp

  1.139  ELSEIF       SubNo == 8
  1.140  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.140  O_CAL        +Freq = [V @Bandwidth]; Volt = 120 mVpp

  1.141  ELSEIF       SubNo == 9
  1.142  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.142  O_CAL        +Freq = [V @Bandwidth]; Volt = 300 mVpp

  1.143  ELSEIF       SubNo == 10
  1.144  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.144  O_CAL        +Freq = [V @Bandwidth]; Volt = 600 mVpp

  1.145  ELSEIF       SubNo == 11
  1.146  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.146  O_CAL        +Freq = [V @Bandwidth]; Volt = 1.2 Vpp

  1.147  ELSEIF       SubNo == 12
  1.148  O_CAL        Mode = WaveGen; Channel = [V @CalChan]; Waveform = Sine
  1.148  O_CAL        +Freq = 5 kHz; Volt = 2.5 Vpp; OutpImp = 50 Ohm

  1.149  ELSEIF       SubNo == 13
  1.150  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.150  O_CAL        +Freq = 1 MHz; Volt = 2.5 Vpp

  1.151  ELSEIF       SubNo == 14
  1.152  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.152  O_CAL        +Freq = 50 kHz; Volt = 2.5 Vpp

  1.153  ELSEIF       SubNo == 15
  1.154  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.154  O_CAL        +Freq = 20 MHz; Volt = 2.5 Vpp

  1.155  ELSEIF       SubNo == 16
  1.156  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.156  O_CAL        +Freq = [V @Bandwidth]; Volt = 2.5 Vpp

  1.157  ELSEIF       SubNo == 17
  1.158  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.158  O_CAL        +Freq = [V @Bandwidth]; Volt = 5 Vpp

  1.159  IF           Chan == 2 || Chan == 4
  1.160  MATH         ChanEnd = 1
  1.161  ENDIF

  1.162  ELSEIF       SubNo == 18 && (Chan == 1 || Chan == 3)
  1.163  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  1.163  O_CAL        +Freq = [V @Bandwidth]; Volt = 1.6 Vpp

  1.164  ELSEIF       SubNo == 19 && (Chan == 1 || Chan == 3)
  1.165  O_CAL        Mode = Edge; Channel = [V @CalChan]
  1.165  O_CAL        +Freq = 1 kHz; Volt = 0.5 Vpp
  1.166  MATH         ChanEnd = 1
  1.167  ENDIF

  1.168  WAIT         -t 5 System Settling ...
  1.169  PORT         CAL:CONTINUE
  1.170  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.171  IF           @Error
  1.172  PORT         CAL:ABO
  1.173  END
  1.174  ENDIF

  1.175  MATH         SubNo = SubNo + 1
  1.176  MATH         StepNo = StepNo + 1
  1.177  UNTIL        ChanEnd

  1.178  MATH         Chan = Chan + 1
  1.179  UNTIL        Chan > @NumChan

  1.180  O_CAL        Standby
  1.181  END
